import greenfoot.Actor;

/**
 * Foot
 * 
 * @author Taylor Born
 * @version April 2014
 */
public class Foot extends Actor
{
    public Foot(boolean left, double angle)
    {
        if (!left)
            getImage().mirrorVertically();
        getImage().rotate((int)Math.toDegrees(angle));
    }
    
    @Override
    public void act()
    {
        int t = getImage().getTransparency();
        if (t == 1)
            getWorld().removeObject(this);
        else
            getImage().setTransparency(t - 1);
    }
}